code stringlengths 1 1.96M | language stringclasses 1
value |
|---|---|
#!/bin/sh
# Script to generate XML AGRIS AP files without duplicates from other XML AGRIS AP files
thisfile=`which $0`
thisdir=`dirname $thisfile`
JAVA_HOME="/usr/local/jdk1.6.0_22"
PATH="/usr/local/jdk1.6.0_22/bin"
OPT_JARS="../lib/*.jar"
CP=""
for thing in $OPT_JARS
do
if [ -f $thing ]; then
... | Shell |
#!/bin/sh
# Script to generate XML AGRIS AP files without duplicates from other XML AGRIS AP files
thisfile=`which $0`
thisdir=`dirname $thisfile`
JAVA_HOME="/usr/local/jdk1.6.0_22"
PATH="/usr/local/jdk1.6.0_22/bin"
OPT_JARS="../lib/*.jar"
CP=""
for thing in $OPT_JARS
do
if [ -f $thing ]; then
... | Shell |
#!/bin/sh
# Runs pylint on all python files in codereview/
#
# Skips over 'cpplint' which is a third part in the chromium branch.
#
ROOT=$(dirname $(readlink -f $0))/..
GAE=$ROOT/../google_appengine
FILES=$(find codereview -iname "*.py" | grep -v "cpplint")
IMPORTS=$GAE:$GAE/lib/django_1_2
PYTHONPATH=$IMPORTS:$PYTHONPA... | Shell |
#!/bin/bash
# Sample shell script for invoking ant.
# Copy to a new file and fill in the values below.
# To keep the secrets secret, don't share your runant script.
# 01234567890123456789
ant -Dsecret=<a random secret string, 20 chars long> \
-Dapp-id=your-app-id \
-Dapp-version=1 \
-Doauth-cli... | Shell |
#!/bin/bash
# Copyright (C) 2011 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to... | Shell |
#!/bin/bash
# Copyright (C) 2011 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright 2005-2012, Cake Software Foundation, Inc.
#
# Licensed under The MIT Lic... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright 2005-2012, Cake Software Foundation, Inc.
#
# Licensed under The MIT Lic... | Shell |
#!/bin/bash
if [ ! -e eigen-android ]; then
hg clone https://bitbucket.org/eigen/eigen eigen-android
else
cd eigen-android && hg pull && hg update
fi
| Shell |
#!/bin/sh
if [ $# -ne 1 ]
then
echo "Error in $0 - Invalid Argument Count"
echo "Syntax: $0 boost_1_45_0"
exit
fi
patch $1/libs/filesystem/v2/src/v2_operations.cpp < android.patch
| Shell |
#!/bin/sh
current_dir=`pwd`
mkdir -p download
cd download
if [ ! -e boost_1_45_0.tar.gz ]
then
echo "wget'ing boost'"
#this url is for convenience, consider it a mirror and you may replace it
#with any existing boost_1_45_0.tar.gz url
boost_download=http://vault.willowgarage.com/wgdata1/vol1/android_bo... | Shell |
if [ -z "$1" ]
then
echo "Usage: `basename $0` <path>
the path will be used to download and untar the android-ndk into."
exit $E_NOARGS
fi
export destination=$1
if [ ! -e $destination ]; then
echo "$destination does not exist!"
exit 1
fi
ball=android-ndk-r5b-linux-x86.tar.bz2
hash=4c0045ddc2bfd657be9d5177d0e0... | Shell |
if [ -z "$1" ]
then
echo "Usage: `basename $0` <path>
the path will be used to download and untar the android-ndk to."
exit $E_NOARGS
fi
export destination=$1
if [ ! -e $destination ]; then
echo "$destination does not exist!"
exit 1
fi
ball=android-ndk-r5b-linux-x86.tar.bz2
hash=4c0045ddc2bfd657be9d5177d0e0b7... | Shell |
#!/bin/bash
LD_LIBRARY_PATH=./lib/pc
export LD_LIBRARY_PATH
java -jar java/dist/lib/HelloBoost.jar
| Shell |
#!/bin/bash
#javac HelloWorld.java
cd java && ant
| Shell |
javah -jni -classpath build com.theveganrobot.cmake.HelloBoost
| Shell |
#!/bin/bash
LD_LIBRARY_PATH=./lib/pc
export LD_LIBRARY_PATH
java -jar java/dist/lib/HelloCMake.jar
| Shell |
#!/bin/bash
#javac HelloWorld.java
cd java && ant
| Shell |
javah -jni -classpath build com.theveganrobot.cmake.HelloWorld
| Shell |
#!/bin/sh
#this generates an ant based cli build of the android-jni project
android update project --name hello-eigen \
--path .
| Shell |
#!/bin/bash
LD_LIBRARY_PATH=./lib/pc
export LD_LIBRARY_PATH
java -jar java/dist/lib/HelloEigen.jar
| Shell |
#!/bin/bash
#javac HelloWorld.java
cd java && ant
| Shell |
javah -jni -classpath build com.theveganrobot.cmake.HelloEigen
| Shell |
#this generates an ant based cli build of the android-jni project
android update project --name HelloGL2 \
--path .
| Shell |
#!/bin/sh
#this generates an ant based cli build of the android-jni project
android update project --name hello-android-cmake \
--path .
| Shell |
# Copyright 2012 Google Inc. All Rights Reserved.
#
# author: psimakov@google.com (Pavel Simakov)
#
# This script starts local developer Google AppEngine server and initializes it
# with the default data set.
#
# Run this script from the coursebuilder/ folder:
# sh ./scripts/start.sh
#
usage () { echo "Options: -... | Shell |
#!/bin/bash
# Copyright 2014 Google Inc. All Rights Reserved.
#
# Wrapper script for tools/etl/etl.py that sets up the environment correctly.
#
# Run this script as follows:
# sh ./scripts/etl.sh <arguments>
#
# ETL's arguments are involved; pass --help for details. You will need to
# provide credentials when usin... | Shell |
#! /bin/sh
# Copyright 2012 Google Inc. All Rights Reserved.
#
# author: psimakov@google.com (Pavel Simakov)
#
# This script starts local developer Google AppEngine server for integration
# tests and initializes it with a default data set.
#
# Run this script from the coursebuilder/ folder:
# sh ./scripts/start_i... | Shell |
#!/bin/bash
# Copyright 2012 Google Inc. All Rights Reserved.
#
# author: sll@google.com (Sean Lip)
# Run this script from the Course Builder folder as follows:
# sh ./scripts/test.sh --test_class <dotted test name>
# E.g.,
# Run all tests in a module:
# sh ./scripts/test.sh tests.unit.common_safe_dom
#
# ... | Shell |
#!/bin/bash
# Copyright 2014 Google Inc. All Rights Reserved.
#
# Usage:
#
# Run this script from the Course Builder folder. It can be run with the
# following arguments:
#
# Deploy Course Builder to the App Engine app named in app.yaml:
# sh ./scripts/deploy.sh
#
# Deploy Course Builder to the given App Engine ap... | Shell |
# Copyright 2013 Google Inc. All Rights Reserved.
#
#
# This script sets up all build/test dependencies including Google App Engine,
# WebTest, Selenium, Chromedriver, etc. All other scripts will include this
# script to setup these dependencies.
#
# Force shell to fail on any errors.
set -e
shopt -s nullglob
# Se... | Shell |
# Copyright 2014 Google Inc. All Rights Reserved.
#
# Set common config variables for developer runtime environment scripts.
# NOTE: This file is also evaluated by Python scripts to get configurations
# from environment variables. Do not add any non-idempotent side-effects
# to this script.
export SOURCE_DIR="$( cd "... | Shell |
#!/bin/bash
# Copyright 2014 Google Inc. All Rights Reserved.
#
# Wrapper script for modules.py that sets up paths correctly. Usage from your
# coursebuilder/ folder:
#
# sh scripts/modules.sh [args]
set -e
. "$(dirname "$0")/common.sh"
python "$COURSEBUILDER_HOME/scripts/modules.py" "$@"
| Shell |
#!/bin/bash
# Copyright 2010 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed t... | Shell |
#!/bin/bash
for file in tests/test-node*.ag ; do
echo $file
./agrajag -s < $file
done
for file in tests/test-types-node*.ag ; do
echo $file
./agrajag -s < $file
done
| Shell |
#!/bin/sh
agrajag="./agrajag"
# Set time limit for all operations
ulimit -t 30
globallog=testall.log
rm -f $globallog
error=0
globalerror=0
interp=0
keep=0
Usage() {
echo "Usage: testall.sh [options] [.ag files]"
echo "-i Interpret Only"
echo "-k Keep intermediate files"
echo "-h Print thi... | Shell |
#!/bin/sh
agrajag="./agrajag"
Usage() {
echo "Usage: make-output"
exit 1
}
# Run <args>
# Report the command, run it, and report any errors
Run() {
echo $* 1>&2
eval $* || {
echo "Failed on $1"
return 1
}
}
Check() {
basename=`echo $1 | sed 's/.*\\///
s/.ag//'`
... | Shell |
#!/bin/bash
for file in semantic_tests/*.ag ; do
echo $file
./agrajag -s < $file
done
| Shell |
#!/bin/bash
for file in tests/test-node*.ag ; do
echo $file
./agrajag -a < $file > $file.out
diff -i --ignore-all-space --ignore-blank-lines $file $file.out
rm $file.out
done
for file in tests/test-types-node*.ag ; do
echo $file
./agrajag -a < $file > $file.out
diff -i --ignore-all-space --ignore-blan... | Shell |
#!/bin/sh
agrajag="./agrajag"
# Set time limit for all operations
ulimit -t 30
globallog=testnodeparsing.log
rm -f $globallog
error=0
globalerror=0
interp=0
keep=0
Usage() {
echo "Usage: test_node_parsing.sh [options] [.ag files]"
echo "-k Keep intermediate files"
echo "-h Print this help"
ex... | Shell |
#!/bin/sh
agrajag="./agrajag"
# Set time limit for all operations
ulimit -t 30
globallog=testnodeparsing.log
rm -f $globallog
error=0
globalerror=0
interp=0
keep=0
Usage() {
echo "Usage: test_node_parsing.sh [options] [.ag files]"
echo "-k Keep intermediate files"
echo "-h Print this help"
ex... | Shell |
#!/bin/sh
agrajag="./agrajag"
# Set time limit for all operations
ulimit -t 30
globallog=testnodeparsing.log
rm -f $globallog
error=0
globalerror=0
interp=0
keep=0
Usage() {
echo "Usage: test_node_parsing.sh [options] [.ag files]"
echo "-k Keep intermediate files"
echo "-h Print this help"
ex... | Shell |
#!/bin/sh
agrajag="./agrajag"
Usage() {
echo "Usage: make-output"
exit 1
}
# Run <args>
# Report the command, run it, and report any errors
Run() {
echo $* 1>&2
eval $* || {
echo "Failed on $1"
return 1
}
}
Check() {
basename=`echo $1 | sed 's/.*\\///
s/.ag//'`
... | Shell |
#!/bin/bash
for file in semantic_tests/*.ag ; do
echo $file
./agrajag -s < $file
done
| Shell |
#!/bin/bash
for file in tests/test-node*.ag ; do
echo $file
./agrajag -s < $file
done
for file in tests/test-types-node*.ag ; do
echo $file
./agrajag -s < $file
done
| Shell |
#!/bin/bash
for file in tests/test-node*.ag ; do
echo $file
./agrajag -a < $file > $file.out
diff -i --ignore-all-space --ignore-blank-lines $file $file.out
rm $file.out
done
for file in tests/test-types-node*.ag ; do
echo $file
./agrajag -a < $file > $file.out
diff -i --ignore-all-space --ignore-blan... | Shell |
#!/bin/sh
agrajag="./agrajag"
# Set time limit for all operations
ulimit -t 30
globallog=testnodeparsing.log
rm -f $globallog
error=0
globalerror=0
interp=0
keep=0
Usage() {
echo "Usage: test_node_parsing.sh [options] [.ag files]"
echo "-k Keep intermediate files"
echo "-h Print this help"
ex... | Shell |
#!/bin/sh
agrajag="./agrajag"
# Set time limit for all operations
ulimit -t 30
globallog=testall.log
rm -f $globallog
error=0
globalerror=0
interp=0
keep=0
Usage() {
echo "Usage: testall.sh [options] [.ag files]"
echo "-i Interpret Only"
echo "-k Keep intermediate files"
echo "-h Print thi... | Shell |
#/bin/sh
rm -f ../gwtp-samples-$GWTPVER.zip ../gwtp-separate-$GWTPVER.zip ../gwtp-all-$GWTPVER.zip
rm -rf ../gwtp-samples/ ../gwtp-separate/ ../gwtp-all/
hg update gwtp-$GWTPVER
mvn clean
find . -name ".?*" -a -not -name ".hg*" -exec rm -rf {} \;
zip -r ../gwtp-samples-$GWTPVER.zip gwtp-samples
mvn install
cd ..
REPO=... | Shell |
#!/bin/sh
# Don't forget chmod +x codereviewMac.sh to mac this script executable
if [ -z $1 ]; then
echo "Usage:"
echo " codereview youremail@abc.com 22 24 \"Patchset comment\""
echo " Creates a new patch set for code review by comparing revision 22"
echo " with revision 24. The patchset is sent on... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright 2005-2012, Cake Software Foundation, Inc.
#
# Licensed under The MIT Lic... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright 2005-2012, Cake Software Foundation, Inc.
#
# Licensed under The MIT Lic... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright 2005-2012, Cake Software Foundation, Inc.
#
# Licensed under The MIT Lic... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright 2005-2012, Cake Software Foundation, Inc.
#
# Licensed under The MIT Lic... | Shell |
#!/usr/bin/env bash
#Fake sendmail script, adapted from:
#https://github.com/mrded/MNPP/blob/ee64fb2a88efc70ba523b78e9ce61f9f1ed3b4a9/init/fake-sendmail.sh
#Create a temp folder to put messages in
numPath="${TMPDIR-/tmp/}fakemail"
umask 037
mkdir -p $numPath
if [ ! -f $numPath/num ]; then
echo "0" > $numPath/num
fi... | Shell |
#!/usr/bin/env bash
#Fake sendmail script, adapted from:
#https://github.com/mrded/MNPP/blob/ee64fb2a88efc70ba523b78e9ce61f9f1ed3b4a9/init/fake-sendmail.sh
#Create a temp folder to put messages in
numPath="${TMPDIR-/tmp/}fakemail"
umask 037
mkdir -p $numPath
if [ ! -f $numPath/num ]; then
echo "0" > $numPath/num
fi... | Shell |
#! /bin/bash
# Binary of the Texturepacker:
TEXTUREPACKER_BINARY=/usr/local/bin/TexturePacker
# Shared Spritesheet-Output-Definitions:
SPRITESHEET_OUTPUT_DIRECTORY="../assets/gfx/spritesheets/"
SPRITESHEET_OUTPUT_JAVAIDS_PACKAGE="org.anddev.andengine.examples.spritesheets"
SPRITESHEET_OUTPUT_JAVAIDS_DIRECTORY="../src... | Shell |
#!/bin/bash
echo Using JAX-WS RI...
JAXWS_RI_HOME=$HOME/jaxws-ri
if [ ! -d $JAXWS_RI_HOME ]; then
echo "JAX-WS RI home not present: $JAXWS_RI_HOME"
exit 1
fi
CLASSPATH=../agiv-security-client-${project.version}.jar:agiv-security-demo-${project.version}.jar
for JARFILE in $JAXWS_RI_HOME/lib/*.jar
do
CLASSPATH=$C... | Shell |
#!/bin/bash
echo "AGIV Java Security JAX-WS runtime tests..."
function JAXWS_RI_ {
echo " JAX-WS RI $1 test"
JAXWS_RI_HOME=$HOME/jaxws-ri-$1
CLASSPATH=../agiv-security-client-${project.version}.jar:agiv-security-demo-${project.version}.jar
for JARFILE in $JAXWS_RI_HOME/lib/*.jar
do
CLASSPATH=$CLASSPATH:$JARF... | Shell |
#!/bin/bash
echo Using Apache CXF...
CXF_HOME=$HOME/apache-cxf-2.5.3
if [ ! -d $CXF_HOME ]; then
echo "Apache CXF home not present: $CXF_HOME"
exit 1
fi
CLASSPATH=../agiv-security-client-${project.version}.jar:agiv-security-demo-${project.version}.jar
for JARFILE in $CXF_HOME/lib/*
do
CLASSPATH=$CLASSPATH:$JARF... | Shell |
#!/bin/bash
echo Using default JAX-WS runtime...
java -jar agiv-security-demo-${project.version}.jar
| Shell |
#!/bin/bash
echo Using Metro...
METRO_HOME=$HOME/metro
if [ ! -d $METRO_HOME ]; then
echo "Metro home not present: $METRO_HOME"
exit 1
fi
CLASSPATH=../agiv-security-client-${project.version}.jar:agiv-security-demo-${project.version}.jar
for JARFILE in $METRO_HOME/lib/*
do
CLASSPATH=$CLASSPATH:$JARFILE
done
for ... | Shell |
#!/bin/bash
echo Using Apache Axis2...
AXIS2_HOME=$HOME/axis2-1.6.1
if [ ! -d $AXIS2_HOME ]; then
echo "Apache Axis2 home not present: $AXIS2_HOME"
exit 1
fi
CLASSPATH=../agiv-security-client-${project.version}.jar:agiv-security-demo-${project.version}.jar
for JARFILE in ../lib/*
do
CLASSPATH=$CLASSPATH:$JARFIL... | Shell |
#!/bin/bash
set -e # fail early
function die() {
echo "Error: " $*
echo
echo "USage: $0 [dest]"
exit 1
}
shopt -s extglob # extended glob pattern
function process() {
SRC="$1"
BASE="${SRC/.apk/}"
DATE=`date +%Y%m%d`
N=1
while /bin/true; do
EXT=`python -c "print chr(96+$N)"`
DEST="${BASE}_${DATE... | Shell |
#!/bin/sh
clear
clear
APP=runtest
rm -f ./${APP}
SOURCE=testbrief.cpp
CV2CG_INCLUDE="-I./.."
OPENCV_INC_LIB=`pkg-config opencv --cflags --libs`
OSG_INC_LIB=`pkg-config openscenegraph --cflags --libs`
OTHER_LIBS=./../esm/ESMlib.a
##check preprocessed result
#g++ -E test.i ${SOURCE} ${OPENCV_INC_LIB} ${OSG_INC_L... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright 2005-2012, Cake Software Foundation, Inc.
#
# Licensed under The MIT Lic... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright 2005-2012, Cake Software Foundation, Inc.
#
# Licensed under The MIT Lic... | Shell |
#!/bin/bash
set +e
set -o errexit
if [ $# -ne 4 ]
then
echo "Syntax: $0 IPSW RAMDISK KEY IV"
echo "python_scripts/kernel_patcher.py can generate a shell script with the correct parameters"
exit
fi
IPSW=$1
RAMDISK=$2
KEY=$3
IV=$4
CUSTOMRAMDISK="myramdisk.dmg"
IMG3FS="./img3fs/img3fs"
IMG3MNT="/tmp/img3"
... | Shell |
#/bin/sh
python usbmuxd-python-client/tcprelay.py -t 22:2222 1999:1999
| Shell |
#!/bin/sh
SSHOPTS="-p 2222 -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null"
UDID=`ssh $SSHOPTS root@localhost "./device_infos udid"`
if [ "$UDID" == "" ]; then
exit
fi
echo "Device UDID : $UDID"
mkdir -p $UDID
DATE=`date +"%Y%m%d-%H%M"`
OUT=$UDID/data_$DATE.dmg
echo "Dumping data partition in $OUT .... | Shell |
#!/bin/sh
if [ -a /dev/disk0s1s2 ]; then # test for iOS 5 data partition
mount_hfs /dev/disk0s1s1 /mnt1 2>/dev/null
mount_hfs /dev/disk0s1s2 /mnt2 2>/dev/null
elif [ -a /dev/disk0s2s1 ]; then # test for iOS 4 data partition
mount_hfs /dev/disk0s1 /mnt1 2>/dev/null
mount_hfs /dev/disk0s2s1 /mnt2 2>/dev... | Shell |
#!/bin/sh
cat /dev/rdisk0s2s1 | netcat -l -p 1234
| Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
#!/bin/bash
#
# ====================================================================
# PACKAGE: aguilas
# FILE: tools/buildpackage.sh
# DESCRIPTION: Makes a new debian package of a stable release.
# USAGE: ./tools/buildpackage.sh
# COPYRIGHT:
# (C) 2012 Luis Alejandro Martínez Faneyth <luis@huntingbears.com.ve>
# LICE... | Shell |
#!/bin/bash
#
# ====================================================================
# PACKAGE: aguilas
# FILE: tools/maint/l10n-newpo.sh
# DESCRIPTION: Generates a PO file for a new translated language,
# based on the Aguilas POT template.
# USAGE: ./tools/maint/l10n-newpo.sh [L10N CODE]
# COPYRIGHT:
# (C) 2012 Luis ... | Shell |
#!/bin/bash
#
# ====================================================================
# PACKAGE: aguilas
# FILE: tools/maint/ldap-debugging.sh
# DESCRIPTION: Prints debugging information for an LDAP server
# USAGE: ./ldap-debugging.sh [ADMINDN] [PASS] [SERVER] [BASE]
# COPYRIGHT:
# (C) 2012 Luis Alejandro Martínez Fane... | Shell |
#!/bin/bash
#
# ====================================================================
# PACKAGE: aguilas
# FILE: tools/maint/mysql-debugging.sh
# DESCRIPTION: Prints debugging information for a MYSQL server
# USAGE: ./mysql-debugging.sh [ADMIN] [PASS] [HOST]
# COPYRIGHT:
# (C) 2012 Luis Alejandro Martínez Faneyth <luis... | Shell |
#!/bin/bash
#
# ====================================================================
# PACKAGE: aguilas
# FILE: tools/maint/l10n-chmsgid-global.sh
# DESCRIPTION: Changes each MSGID string from all sources and POT
# template if the user provides an alternative.
# USAGE: ./tools/maint/l10n-chmsgid-global.sh
# COPYRIGHT... | Shell |
#!/bin/bash
#
# ====================================================================
# PACKAGE: aguilas
# FILE: tools/release.sh
# DESCRIPTION: Makes a new stable release of Aguilas.
# USAGE: ./tools/release.sh
# COPYRIGHT:
# (C) 2012 Luis Alejandro Martínez Faneyth <luis@huntingbears.com.ve>
# LICENCE: GPL3
# =======... | Shell |
#!/bin/bash
#
# ====================================================================
# PACKAGE: aguilas
# FILE: tools/snapshot.sh
# DESCRIPTION: Makes a new development snapshot of Aguilas.
# USAGE: ./tools/snapshot.sh
# COPYRIGHT:
# (C) 2012 Luis Alejandro Martínez Faneyth <luis@huntingbears.com.ve>
# LICENCE: GPL3
#... | Shell |
#!/bin/bash -e
#
# ====================================================================
# PACKAGE: aguilas
# FILE: tools/gen-conf.sh
# DESCRIPTION: Asks the user to fill in the configuration information
# to generate the setup/config.php file.
# USAGE: ./tools/gen-conf.sh
# COPYRIGHT:
# (C) 2012 Luis Alejandro Martíne... | Shell |
#! /bin/bash
VERSION=0.1.0
BUILD_NAME=agulhas-$VERSION
set -x
mkdir $BUILD_NAME
mkdir $BUILD_NAME/doc
mkdir $BUILD_NAME/ebin
mkdir $BUILD_NAME/tbin
erlc -I include -o $BUILD_NAME/ebin src/*.erl
cp src/*.app $BUILD_NAME/ebin
erlc -I include -o $BUILD_NAME/tbin test/*.erl
erl -noshell -pa $BUILD_NAME/ebin -pa $BUILD_NAME... | Shell |
#!/bin/bash
PJHOME=/home/rota/workspace/AgriWap
OUTFILE=classes`date +%F`.tar.gz
cd $PJHOME/war/WEB-INF/
rm -f $PJHOME/$OUTFILE
tar cvzf $PJHOME/$OUTFILE classes/ *.xml *.properties
echo "Copying $PJHOME/$OUTFILE ..."
scp -i ~/.ssh/id_rsa.ami-f81967aa $PJHOME/$OUTFILE root@122.248.251.244:/tmp/
rm -f $PJHOME/$OUTFI... | Shell |
#!/bin/bash
PJHOME=/home/rota/workspace/AgriWap
OUTFILE=classes`date +%F`.tar.gz
cd $PJHOME/war/WEB-INF/
rm -f $PJHOME/$OUTFILE
tar cvzf $PJHOME/$OUTFILE classes/ *.xml *.properties
echo "Copying $PJHOME/$OUTFILE ..."
scp -i ~/.ssh/id_rsa.ami-f81967aa $PJHOME/$OUTFILE root@122.248.251.244:/tmp/
rm -f $PJHOME/$OUTFI... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
#!/usr/bin/env bash
################################################################################
#
# Bake is a shell script for running CakePHP bake script
# PHP 5
#
# CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
# Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
#
# Licen... | Shell |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.